#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

red = Create_String(String, "red", (255, 0, 0))
red.Add_Sequence("00")

blue = Create_String(String, "blue", (120, 120, 255))
blue.Add_Sequence("01")

red = Create_Component(Light_Control, red)
blue = Create_Component(Light_Control, blue)
clock = Create_Component(Stimulator_Simple, ST_CLOCK)
Create_Component(Not_Gate)
Create_Component(Or_Gate)
Create_Component(Not_Gate)


Meta_Data(text = "It's not on!",
    image = "tree1",
    desc = "Let's review what you learned so far. To solve this level, "
        "you are given only a flashing "
        "input signal. Use it to make the blue lights "
        "flash on and off. Make the red lights stay off all the time. "
        "You will need two 'Not' components and an 'Or' component.",
    guide = [
    Guide(trigger = "True",
        point_at = "None",
        text = "To solve this level, apply the principles you learned in "
            "the earlier levels. Make the blue lights flash on and off, "
            "and keep the red lights in the off state by connecting "
            "the components together. Hint: you know how to turn a flashing "
            "signal into a steady On signal... If you want to "
            "review the earlier levels, use the Level Warp menu at the top of "
            "the window to jump back to them."),
    ])

