#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

(one, two, three) = Gen_Sledge(Create_String)
one.Add_Sequence("100")
two.Add_Sequence("010")
three.Add_Sequence("001")

Create_Component(Light_Control, one)
Create_Component(Light_Control, two)
Create_Component(Light_Control, three)

#Create_Component(Stimulator_Simple, ST_ONE)

Create_Component(Or_Gate)
Create_Component(D_Flip_Flop_NCE)
Create_Component(D_Flip_Flop_NCE)
Create_Component(Not_Gate)


Meta_Data(text = "Sleighed",
    dis_inputs = True,
    desc = "The lights on this level show Santa in his sleigh. You need "
        "to make the lights flash as if Santa is moving down a hill, i.e. "
        "rightmost light (R), then middle light (M), then leftmost light (L), "
        "then repeat. You only get two Delay components, and at least one "
        "light must be on all the time!\n\n"
        "Hint: The sequence generator should be of a similar type to the "
        "one you used to solve the previous level. It needs to produce the "
        "sequence 00, 01, 10, skipping 11.")

# Advent
#  levels 21 to 23
#   7 segment decoder                 (24)
#   Count from 1 to 25 then FREAK OUT (final level)
#   
