#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

(one, two, three) = Gen_Flakes(Create_String, 2)

one.Add_Sequence("1000")
two.Add_Sequence("0100")
three.Add_Sequence("0010")
Create_Component(Light_Control, one)
Create_Component(Light_Control, two)
Create_Component(Light_Control, three)

clockA = Create_Component(Stimulator, "1", "0011")
clockB = Create_Component(Stimulator, "2", "0101")

Create_Component(And_Gate)
Create_Component(Not_Gate)
Create_Component(And_Gate)
Create_Component(Not_Gate)
Create_Component(And_Gate)



Meta_Data(text = "Snow is Falling, All Around Me",
    desc = "Light the snowflakes! The sequence should be: top light, "
        "middle light, bottom light, then nothing.\n\nHint: "
        "Use the techniques you used to solve the previous level. "
        "In this case, every light "
        "should be connected to the output of an 'And' "
        "component.")

