#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

R = Create_String(String, "red", (255, 0, 0))
B = Create_String(String, "blue", (120, 120, 255))
G = Create_String(String, "green", (0, 255, 0))
Y = Create_String(String, "yellow", (255, 255, 0))

R.Add_Sequence("1000")
G.Add_Sequence("0100")
B.Add_Sequence("0010")
Y.Add_Sequence("0001")
Create_Component(Light_Control, R)
Create_Component(Light_Control, G)
Create_Component(Light_Control, B)
Create_Component(Light_Control, Y)

clockA = Create_Component(Stimulator, "1", "0011")
clockB = Create_Component(Stimulator, "2", "0101")

Create_Component(And_Gate)
Create_Component(Not_Gate)
Create_Component(And_Gate)
Create_Component(Not_Gate)
Create_Component(And_Gate)
Create_Component(Not_Gate)
Create_Component(Or_Gate)



Meta_Data(text = "Christmas Disco",
    image = "disco",
    desc = "The square tiles of this disco dance floor have lights "
        "under them. Make them flash red, green, blue and yellow.")

