#
# Christmas Logic 
# Copyright (C) Jack Whitham 2009
#

from baselevel import *

R = Create_String(String, "red", (255, 0, 0))
R.Add_Sequence("11000")
G = Create_String(String, "green", (0, 255, 0))
G.Add_Sequence("01100")
B = Create_String(String, "blue", (120, 120, 255))
B.Add_Sequence("00110")
Y = Create_String(String, "yellow", (255, 255, 0))
Y.Add_Sequence("00011")
P = Create_String(String, "purple", (255, 0, 255))
P.Add_Sequence("10001")

Create_Component(Light_Control, R)
Create_Component(Light_Control, G)
Create_Component(Light_Control, B)
Create_Component(Light_Control, Y)
Create_Component(Light_Control, P)

#Create_Component(Stimulator_Simple, ST_ONE)

Create_Component(D_Flip_Flop_NCE)
Create_Component(D_Flip_Flop_NCE)
Create_Component(D_Flip_Flop_NCE)
Gap()
Create_Component(Not_Gate)
Create_Component(Not_Gate)
Create_Component(Not_Gate)
New_Column()
Create_Component(Xor_Gate)
Create_Component(Xor_Gate)
Create_Component(Xor_Gate)
Gap()
Create_Component(And_Gate)
Create_Component(And_Gate)
Create_Component(Or_Gate)
Create_Component(Or_Gate)




Meta_Data(text = "Five Four Three Two One",
    image = "tree1",
    dis_inputs = True,
    desc = "Activate the red, green, blue, yellow and purple lights in turn. "
        "Each light should stay on for two cycles.\n\n"
        "This level requires you to build a sequence generator with five "
        "states, counting from 0 to 4 (000 to 100 in base 2). The output "
        "of the Delay components should determine their next state as "
        "well as controlling the lights. You will need to use all three "
        "Exclusive OR components to complete this level.\n\n"
        "Hint: Things are now getting so complicated that you will "
        "almost certainly have to work this out on paper. Draw a table "
        "with three columns for the current output of the Delay elements, "
        "three columns for the input of the Delay elements, and five "
        "columns for the lights. Fill the first three columns with "
        "base 2 numbers from 000 to 100. Then fill in the remaining columns "
        "with whatever *should* be there in order to get the right behaviour. "
        "This will help you to work out how the logic elements should be "
        "arranged. Look for columns that are equivalent (or nearly equivalent) "
        "to each other.")

